For the complete documentation index, see llms.txt.
Manifests
GET
/api/manifestsGet Manifests
Retrieve a list of manifests. Results are ordered by date in descending order.
Manifests
Create manifests and retrieve manifest data for carrier handover.
4 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/manifests
Details
Retrieve a list of manifests. Results are ordered by date in descending order.
Request Parameters
Get Manifests Response
Get Manifests - Manifests Model
Response examples
Get Manifests (200)
{
"manifests": [
{
"id": 2635340,
"name": "carrier_name",
"date": "2021-01-21T16:19:09.9573432",
"number": 2,
"numberArticles": 1,
"numberConsignments": 1,
"fileName1": "https://www.url.com/manifest.xml",
"fileName2": "https://www.url.com/manifest.pdf",
"carrierId": 2
}
],
"total_pages": 12,
"total_count": 12,
"success": true
}